"""Add last_draw_date to users table

Revision ID: 001_add_last_draw_date
Revises: 
Create Date: 2025-06-08 12:00:00.000000

"""
from typing import Sequence, Union
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision: str = '001_add_last_draw_date'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Add last_draw_date column to users table for daily draw limits"""
    op.add_column('users', sa.Column('last_draw_date', sa.DateTime(), nullable=True))


def downgrade() -> None:
    """Remove last_draw_date column from users table"""
    op.drop_column('users', 'last_draw_date')