#!/bin/bash

echo "🎴 ai.card セットアップスクリプト"
echo "================================"

# APIセットアップ
echo "📦 API セットアップ中..."
cd api
python -m venv venv
source venv/bin/activate
pip install -r requirements.txt
cp .env.example .env
echo "✅ API セットアップ完了"

# Webセットアップ
echo "📦 Web セットアップ中..."
cd ../web
npm install
echo "✅ Web セットアップ完了"

echo "================================"
echo "🚀 セットアップ完了！"
echo ""
echo "開発サーバーの起動:"
echo "  API: cd api && uvicorn app.main:app --reload"
echo "  Web: cd web && npm run dev"