#!/bin/bash

# ai.card Python仮想環境セットアップスクリプト
# 新しいconfig規則に従って ~/.config/syui/ai/card/ 配下に構築

CONFIG_DIR="$HOME/.config/syui/ai/card"
VENV_DIR="$CONFIG_DIR/venv"

echo "🔧 ai.card Python環境セットアップ開始..."

# configディレクトリ作成
echo "📁 設定ディレクトリ作成: $CONFIG_DIR"
mkdir -p "$CONFIG_DIR"

# 仮想環境作成
echo "🐍 Python仮想環境作成: $VENV_DIR"
python -m venv "$VENV_DIR"

# requirements.txtをconfigディレクトリにコピー
echo "📋 requirements.txt をconfigディレクトリにコピー"
cp api/requirements.txt "$CONFIG_DIR/"

# 仮想環境アクティベート用エイリアス情報表示
echo ""
echo "✅ セットアップ完了！"
echo ""
echo "🚀 使用方法:"
echo "  # 仮想環境アクティベート"
echo "  source ~/.config/syui/ai/card/venv/bin/activate"
echo ""
echo "  # パッケージインストール"
echo "  pip install -r ~/.config/syui/ai/card/requirements.txt"
echo ""
echo "  # デアクティベート"
echo "  deactivate"
echo ""
echo "💡 .bashrc/.zshrcにエイリアスを追加することを推奨:"
echo "  alias aicard-env='source ~/.config/syui/ai/card/venv/bin/activate'"